[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataChangeEvent

Event handler prototype when a field's data has changed.

## Declaration

Source position: db.pas line 1786

`type TDataChangeEvent = procedure(`
`Sender: TObject;`
`Field: TField`
`) of object;`

## Arguments

`Sender` |  | Datasource that triggered the event
`Field` |  | Field that changed, or Nil if record changed.

## Description

TDataChangeEvent is the event handler prototype for the TDatasource.OnDataChange event. The sender parameter is the TDatasource instance that triggered the event, and the Field parameter is the field whose data has changed. If the dataset has scrolled, then the Field parameter is Nil.

## See also

TDatasource.OnDataChange |  | Called whenever data changes in the current record

Documentation generated on: Feb 26 2014